import { RoutingType } from "../config";
import { TemplateFile, Import } from "../types";
import { RouteLinkOptions } from "./parseAppConfig";
export interface GenerateTemplateFilesParams {
    origin: string;
    routeName: string;
    routePattern: string;
    destinationDir: string;
    routingType: RoutingType;
    routeLinkOptions: RouteLinkOptions;
    importGenerateUrl: Import;
    importRedirectServerSide: Import;
}
declare const generateTemplateFiles: (params: GenerateTemplateFilesParams) => TemplateFile[];
export default generateTemplateFiles;
